更新时间:2022-05-12 GMT+08:00
分享

安装编译所需依赖包

编译Open vSwitch组件之前,必须进行编译依赖的安装。

  1. 安装通用编译安装依赖。

    1
    $ yum install make gcc clang python3 openssl openssl-libs unbound* libcap-ng* libtool unbound python3 python-netifaces python-twisted-core libreswan
    

  2. (可选)安装内核编译依赖。

    用户可以直接使用Linux内核内置的内核模块,也可以选择编译Open vSwitch发行版中附带的内核模块代码。当前章节仅在用户需要编译对应内核模块代码时需要执行。另外,用户也可以选择使用纯用户控件实现的编译方式,但是要付出一些功能和性能上的代价。

    1
    $ yum install kernel kernel-headers gcc
    

  3. (可选)安装RPM包编译依赖。

    用户若需要打包编译包为deb或rpm包,则需要输入下列命令安装RPM包编译依赖。

    1
    $ yum install openssl-devel python-devel groff graphviz selinux-policy-devel python-twisted-core python-zope-interface python-sphinx libcap-devel libcap-ng-devel unbound unbound-devel rpm-*
    

分享:

    相关文档

    相关产品

close